summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config/install_functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/LinHES-config/install_functions.sh')
-rwxr-xr-xabs/core-testing/LinHES-config/install_functions.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index 5e295ac..a88e515 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -11,6 +11,7 @@ hostname=`hostname`
MYSQLCMD_C="mysql -u$MYTHDBUSER -p$MYTHTVPASSWD mythconverg -B --exec"
BASE=""
+
function update_db_settings () {
echo "setting database value $1 to $2 for $hostname"
@@ -35,6 +36,17 @@ update_db_settings Theme "$pick"
}
+function splash_setup (){
+ echo $CMDLINE | grep -q splash=silent
+ if [ $? = 0 ]
+ then
+ update_db_settings Hostbootsplash 1
+ else
+ update_db_settings Hostbootsplash 0
+ fi
+}
+
+
function setupremote {
[ -e $BASE/etc/lircd.conf ] && mv -f $BASE/etc/lircd.conf $BASE/etc/lircd.conf.`date +%Y-%m-%d-%H-%M`
if [ -d $TEMPLATES/remotes/$Remotetype ]